Main Page Widgets Namespaces Book

# Gtk::CellRendererToggle Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererToggle:

[legend]
List of all members.

## Detailed Description

Renders a toggle button in a cell.

The button is drawn as a radio- or checkbutton, depending on the radio property. When activated, it emits the toggled signal.

## Public Member Functions

virtual Glib::ustring | _property_renderable ()
| Returns the property that this CellRenderer renders.
| CellRendererToggle ()
bool | get_active () const
| Returns whether the cell renderer is active.
bool | get_radio () const
| Returns whether we're rendering radio toggles rather than checkboxes.
const GtkCellRendererToggle* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererToggle* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_active (bool setting=true)
| Activates or deactivates a cell renderer.
void | set_radio (bool radio=true)
| If radio is `true`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles).
Glib::SignalProxy1< void, const Glib::ustring& > | signal_toggled ()
virtual | ~CellRendererToggle ()

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererToggle* | wrap (GtkCellRendererToggle* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellRendererToggle::~CellRendererToggle | ( |  | ) | `[virtual]`

Gtk::CellRendererToggle::CellRendererToggle | ( |  | ) |

## Member Function Documentation

virtual Glib::ustring Gtk::CellRendererToggle::_property_renderable | ( |  | ) | `[virtual]`

| Returns the property that this CellRenderer renders. For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes. Reimplemented from Gtk::CellRenderer.

bool Gtk::CellRendererToggle::get_active | ( |  | ) | const

Returns whether the cell renderer is active.

See set_active().

Returns:
  `true` if the cell renderer is active.

bool Gtk::CellRendererToggle::get_radio | ( |  | ) | const

Returns whether we're rendering radio toggles rather than checkboxes.

Returns:
  `true` if we're rendering radio toggles rather than checkboxes.

const GtkCellRendererToggle* Gtk::CellRendererToggle::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRenderer.

GtkCellRendererToggle* Gtk::CellRendererToggle::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRenderer.

void Gtk::CellRendererToggle::set_active | ( | bool | setting = `true` | ) |

Activates or deactivates a cell renderer.

Parameters:

  | setting | The value to set.

void Gtk::CellRendererToggle::set_radio | ( | bool | radio = `true` | ) |

If radio is `true`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles).

If `false`, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for Gtk::TreeView, you set up a per-row setting using Gtk::TreeViewColumn to associate model columns with cell renderer properties).

Parameters:

  | radio | `true` to make the toggle look like a radio button.

Glib::SignalProxy1<void,const Glib::ustring&> Gtk::CellRendererToggle::signal_toggled | ( |  | ) |

Prototype:
  `void toggled(const Glib::ustring& path)`

## Friends And Related Function Documentation

Gtk::CellRendererToggle* wrap | ( | GtkCellRendererToggle* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrenderertoggle.h